
<div class="row">
    <div *ngIf="message"
         [class.status-green]="success"
         [class.status-red]="!success"
         class="card-panel">
        {{ message }}
        <div *ngIf="success">
            <br><br>
            <a href="/inversiones" style="color: white">Recarga</a>
            el sitio para ver los cambios.
        </div>
    </div>
</div>

<div class="row">
    <div class="col s12">
        <div class="card-panel">
            <form [formGroup]="form">
                <div class="row">
                    <div class="input-field col l6 offset-l3">
                        <label for="amount">Monto (MXN $)</label>
                        <input id="amount"
                               type="number"
                               min="0"
                               formControlName="amount"
                               [class.invalid]="!form.controls['amount'].valid && form.controls['amount'].touched">
                    </div>
                </div>
                <div class="row">
                    <div class="col l3 offset-l3">
                        <button class="waves-effect waves-light btn"
                                (click)="transfer(form, investment, inbound=true)"
                                [disabled]="!form.valid">
                            Invertir
                        </button>
                    </div>
                    <div class="col l3 right-align">
                        <button class="waves-effect waves-light btn danger-button"
                                (click)="transfer(form, investment, inbound=false)"
                                [disabled]="!form.valid">
                            Retirar
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
